DevelopersAPIReferencemerchants
List merchants
All merchants of the wallet, each with server-computed usage counts (SE-2).
GET
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidAll merchants of the wallet
application/json- response
[index: integer]?curl -X GET 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/merchants'Example Response200
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "name": "string", "defaultCategoryId": "0f63fd5d-d332-4663-9682-fda5c7d5685d", "defaultUsingDateRule": "transactionDate", "domains": [ "string" ], "logo": true, "autoCreatedSource": "googleMaps", "autoReviewTransactions": true, "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string", "nrTransactions": 0 }]